# ORCA DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
orca = ORCA(frag=water, method='dft', basis='3-21g', threshold=1.E-7, simple_input=False)

sp = SP(theory=orca)

sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf
#eref = -75.946904963176
# convergence=tightscf
#eref = -75.946904763052
# ORCA 5.0.3
eref = -75.94688949

testutils.validate(ecalc, eref)
